Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.server.http
Class VirtualHost

    java.lang.Object
      |
      +--com.caucho.server.http.VirtualHost

public class VirtualHost
extends java.lang.Object

A virtual host contains a collection of applications.

Constructor Summary
`VirtualHost()`

Method Summary
`java.lang.String` | `getCanonicalURL()`
`AbstractErrorLog` | `getErrorLog()` Returns the host's error log
`java.lang.String` | `getName()` Return the canonical host name
`ServletServer` | `getServer()` Returns the owning servlet server for the virtual host.
`java.lang.String` | `getURL()`
`Path` | `getWarDir()` Returns the war directory.
`Path` | `getWarExpandDir()` Returns the war-expand directory.
`java.lang.String` | `toString()` Returns a debuggable representation of the host.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VirtualHost

    public VirtualHost()

Method Detail

### getErrorLog

    public AbstractErrorLog getErrorLog()

  Returns the host's error log

### getWarDir

    public Path getWarDir()

  Returns the war directory.

### getWarExpandDir

    public Path getWarExpandDir()

  Returns the war-expand directory.

### getServer

    public ServletServer getServer()

  Returns the owning servlet server for the virtual host.

### getName

    public java.lang.String getName()

  Return the canonical host name

### getURL

    public java.lang.String getURL()

### getCanonicalURL

    public java.lang.String getCanonicalURL()

### toString

    public java.lang.String toString()

  Returns a debuggable representation of the host.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD